/*********************
 *
 *  co_defs.h [NON-ANSI] - console definition header file.
 *
 *  Purpose: This file contains the memory allocation for the console
 *           globals and tables.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

short int co_type_;  /* console type set */

char ansicup_[16] = {0x1b,'[','#','0',';','#','0','f',0};/* position cursor */
char ansicuu_[8]  = {0x1b,'[','#','0','A',0};     /* cursor up */
char ansicud_[8]  = {0x1b,'[','#','0','B',0};     /* cursor down */
char ansicuf_[8]  = {0x1b,'[','#','0','C',0};     /* cursor forward */
char ansicub_[8]  = {0x1b,'[','#','0','D',0};     /* cursor backward */
char ansidsr_[8]  = {0x1b,'[','6','n',0};         /* get cursor position */
char ansicpc_[]   = {0x02,0};                     /* col in cursor string */
char ansicpr_[]   = {0x04,0};                     /* row position */
char ansiscp_[]   = {0x1b,'[','s',0};             /* save current cur pos */
char ansircp_[]   = {0x1b,'[','u',0};             /* restore prev cur pos */
char ansied_[]    = {0x1b,'[','2','J',0};         /* erase to end of screen */
char ansiel_[]    = {0x1b,'[','K',0};             /* eeol */
char ansifco_[8]  = {0x1b,'[','#','0','m',0};     /* set foreground color */
char ansibco_[8]  = {0x1b,'[','#','0','m',0};     /* set the background color */
char ansisat_[8]  = {0x1b,'[','#','0','m',0};     /* set character attribute */
char ansimod_[8]  = {0x1b,'[','=','#','0','h',0}; /* set screen mode */


/*
 *  Values for ANSI driver
 */

char *ibmattr_[] = {"00","01","00","00","04","05","00","07","08","00","00"};
char *ibmctrl_[] = {ansicup_,ansicuu_,ansicud_,ansicuf_,ansicub_,ansidsr_,
		    ansicpc_,ansicpr_,ansiscp_,ansircp_,ansied_,ansiel_,
		    ansifco_,ansibco_,ansisat_,ansimod_};
char *ibmmode_[] = {"00","01","02","03","04","05","06","07","00","00","00"};
char *ibmcolr_[] = {"30","31","32","33","34","35","36","37","38","39",
		    "40","41","42","43","44","45","46","47","48","49"};

/*
 *  Global table pointers
 */

char ***co_attr_,***co_ctrl_,***co_mode_,***co_color_;
char **co_attrptrs_ [] = {ibmattr_,0};
char **co_colrptrs_[] = {ibmcolr_,0};
char **co_ctrlptrs_[] = {ibmctrl_,0};
char **co_modeptrs_[] = {ibmmode_,0};

