/*********************
 *
 *  co_head.h [NON-ANSI] - header for console functions.
 *
 *  Purpose: This file contains the constants and globals for the
 *           co_ functions for console control.  The ANSI device
 *           driver is required.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

#define IBMPC   0

#define ANSI    0
#define SCREEN  1
#define GRAPHIC 2

/*
 *  Mode type index
 */

#define BW40		0
#define CO40		1
#define BW80		2
#define CO80		3
#define CO320x200	4
#define BW320x200	5
#define BW640x400	6


/*
 *  Control command index
 */

#define	CUP	0	/* cursor position*/
#define CUU	1	/* cursor up */
#define CUD	2	/* cursor down */
#define CUF	3	/* cursor forward */
#define CUB	4	/* cursor backward */
#define DSR	5	/* get cursor position */
#define CPC	6	/* cursor position returned string column index */
#define CPR	7	/* cursor position returned string row index */
#define SCP	8	/* savethe current cursor position */
#define RCP	9	/* restore the previously saved cursor position */
#define ED	10	/* erase from cursor to end of screen */
#define EL	11	/* erase from cursor to end of line */
#define FCO	12	/* set the text foreground color */
#define BCO	13	/* set the text background color */
#define SAT	14	/* set the character attribute */
#define MOD	15	/* set the screen mode */

/*
 *  Attribute code index
 */

#define AT_REG   0       /* regular character attribute */
#define AT_BOLD  1       /* bold attribute */
#define AT_US    4       /* underscore */
#define AT_BLINK 5       /* blinking */
#define AT_REV   7       /* reverse colors */
#define AT_CANC  8       /* cancelled (invisible) */

/*
 *  Color code index for foreground and background colors
 */

#define FBLACK   0       /* foreground black */
#define FRED     1
#define FGREEN   2
#define FYELLOW  3
#define FBLUE    4
#define FMAGENTA 5	
#define FCYAN    6
#define FWHITE   7
	
#define BBLACK   10      /* background black */
#define BRED     11
#define BGREEN   12
#define BYELLOW  13
#define BBLUE    14
#define BMAGENTA 15	
#define BCYAN    16
#define BWHITE   17





