/*********************
 *
 *  gr_head.h [NON-ANSI] - graphics header file.
 *
 *  Purpose: This file contains the constants and global variables for
 *           the graphics primitves.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

#define EOS     32000  /* end of shape table   */
#define RDDOT      13
#define WRDOT      12
#define IVIDEO   0x10  /* video interrupt      */
#define GR320      04  /* CGA 320x200 mode     */
#define GR640      06  /* CGA 640x200 mode     */
#define EGA_D    0x0d  /* EGA 320x200          */
#define EGA_E    0x0e  /* EGA 640x200          */
#define EGA_F    0x0f  /* EGA 640x350 3 color  */
#define EGA_10   0x10  /* EGA 640x350 16 color */

_packed struct FONT {
    char type;      /* type 10-user,11-mon,12-8x8 (43 line ) */
    int count;      /* count of characters in font           */
    char bperc;     /* bytes per character                   */
    char block;
    char offs;      /* offset into table for start           */
    char *table;    /* table of character values             */
    };

extern char grbcolr_,grbcol_,grfcolr_,grfcol_,grxorf_;
extern int grx_,gry_,grrows_,grcols_,grmode_,gr_regen_;

extern short int gr_seg_;   /* graphics buffer segment    */
extern int gr_off_;         /* graphics buffer offset     */
extern char *gr_buf_;       /* graphics buffer pointer    */
extern int gr_bytes_ ;      /* # bytes in graphics buffer */
extern int gr_minx_,gr_maxx_;
extern int gr_miny_,gr_maxy_;             /* graphics window */
extern char *grfpal_,*grbpal_;            /* foregr/backgrnd color palette*/
extern char gr_egap_[],gr_cgap0_[],gr_cgap1_[];      /* standard palette */


