/*********************
 *
 *  kb_defs.h [NON-ANSI] - keyboard definition header file.
 *
 *  Purpose: This file contains the global definitons for the keyboard module.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

/* 
 *  table pointers
 */

char    *keyftbl_;              /* keyboard function table to use */
char 	*keyxtbl_;		/* keyboard translation table to use */
char 	*keystbl_;		/* keyboard scan table */
char 	*keybrktbl_;		/* keyboard break table */

char	insmodef_ ;		/* insert mode for input */
char	chinf_ ;		/* flag if text field has been modified */
char	echof_;			/* flag to echo characters to screen */
char	breakf_;		/* keyboard break flag */

/*
 *  Keyboard translate tables
 */

char keyxtbl1_[]   = {0,0};
char keybrktbl1_[] = {ESC,CTRL_C,0};
char keyftbl1_[]   = {ESC,CR,NEWLINE,0};

char keyftbl2_[] ={   /* functions including control codes */
BKSP    ,  /* backspace character */
BK_TAB  ,  /* back tab (shift-tab) */
CTRL_A  ,  /* control keys */
CTRL_B  ,
CTRL_C	,
CTRL_D  ,
CTRL_E  ,
CTRL_F  ,
CTRL_G  ,
CTRL_I  ,
CTRL_R  ,
CTRL_S  ,
CTRL_T  ,
CTRL_V  ,
CTRL_X  ,
CTRL_Y  ,
CUR_DN	,/* cursor down */
CUR_LF  ,/* cursor left */
CUR_RT,  /* cursor right */
CUR_UP,	/* cursor up command */
DEL,	/* delete key */
END_KY,  /* end key */
ESC	,/* escape key */
F1	,/* function key */
F2	,/* add an entry key */
F3	,/* delete an entry key*/
F4	,/* funciton key */
F5,	
F6,	/* calendar set key */
F7,	/* directory search key */
F8,	
F9,	
F10,	/* last function key */
HOME,    /* home key */
INS,	/* insert character */
PG_DN,   /* page down character */
PG_UP,	/* page up character */
SHF9,	/* shift F9 used to change the password */
0};

/*
 *  keyboard scan code translate table for extended keys
 *
 *  Extended codes are translated using this table.  To add a new key
 *  simply insert the extended code lower byte, then the byte to translate
 *  to into the table. The table is terminated by a 0,0 pair.
 */

char keystbl1_[] = {
15,BK_TAB,
59,F1,
60,F2,
61,F3,
62,F4,
63,F5,
64,F6,
65,F7,
66,F8,
67,F9,
68,F10,
72,CUR_UP,
73,PG_UP,
75,CUR_LF,
77,CUR_RT,
80,CUR_DN,
81,PG_DN,
82,INS,
83,DEL,
92,SHF9,
0,0
};
