/*********************
 *
 *  kb_head.h [NON-ANSI] - keyboard key definitions.
 *
 *  Purpose: Header file for all ASCII key translations.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

#define BLANK  0x20
#define BKSP	8	/* backspace character */
#define BK_TAB  209	/* back tab (shift-tab) */
#define CR	0x0d
#define CTRL_A  1	/* control keys */
#define CTRL_B  2
#define CTRL_C	3
#define CTRL_D  4
#define CTRL_E  5
#define CTRL_F  6
#define CTRL_G  7
#define CTRL_I  9
#define CTRL_R  18
#define CTRL_S  19
#define CTRL_T  20
#define CTRL_V  22
#define CTRL_X  24
#define CTRL_Y  25
#define CUR_DN	31	/* cursor down */
#define CUR_LF  29	/* cursor left */
#define CUR_RT  28	/* cursor right */
#define CUR_UP	30	/* cursor up command */
#define DEL	207	/* delete key */
#define END_KY  201	/* end key */
#define ESC	27	/* escape key */
#define F1	210	/* function key */
#define F2	211	/* add an entry key */
#define F3	212	/* delete an entry key*/
#define F4	213	/* funciton key */
#define F5	214
#define F6	215	/* calendar set key */
#define F7	216	/* directory search key */
#define F8	217
#define F9	218
#define F10	219	/* last function key */
#define HOME    200	/* home key */
#define INS	206	/* insert character */
#define LF	0x0a
#define NEWLINE 0x0a
#define PG_DN   203	/* page down character */
#define PG_UP	202	/* page up character */
#define SHF9	220	/* shift F9 used to change the password */
#define SPACE   0x20
#define TAB	0x09	/* tab character */

extern char keyxtbl1_[] ;	/* default translate table */

/*
 *  global table pointers for key functions
 */

extern char	*keyftbl_;	/* keyboard function table to use */
extern char 	*keyxtbl_;	/* keyboard translation table to use */
extern char 	*keystbl_;	/* keyboard scan table */
extern char 	*keybrktbl_;	/* keyboard break table */

extern char	insmodef_ ;	/* insert mode for input */
extern char	chinf_ ;	/* flag if text field has been modified */
extern char	echof_;		/* flag to echo characters to screen */
extern char	breakf_;	/* keyboard break flag */

extern char keyftbl1_[],keyxtbl1_[],keystbl1_[],keybrktbl1_[];	/* defaults */



