/*********************
 *
 *  primitiv.h [NON-ANSI] - declaration of assembly language primitives.
 *
 *  Purpose: Prototype of each assembly language primitive.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

/*
 *  device driver primitives
 */

int  dv_cl_(int fd);
void dv_com_(char *control, int fd);
void dv_ctrd_(int fd, char *data, int cnt);
int  dv_ctwr_(int fd, char *buff, int cnt);
int  dv_op_(char *name, int mode);
int  dv_rd_(int fd, char *buff, int cnt);
int  dv_stat_(int fd);
int  dv_wr_(int fd, char *buff, int cnt);

/*
 *  graphics driver primitives
 */

int  gr_gpt_(int x, int y);
void gr_gwin_(char *buff);
void gr_ln_(int x1, int y1, int x2, int y2);
void gr_pt_(int x, int y);
void gr_pwin_(char *buff);
void gr_wfill_(void);

/*
 *  interrupt driver primitives
 */

void in_hdwren_(int level, int flag);
int  in_remvec_(int number);
void in_serve(void);
void in_set_(int flag);
int  in_setvec_(int vector, int foff, int fseg, int stoff,int stseg,int type);

/*
 *  keyboard driver primitives
 */

int  kb_getc_(void);
int  kb_hit_(void);
int  kb_ungetc_(char c);

/*
 *  mouse driver primitives
 */

int  mouse_(int m1, int m2, int m3, int m4, int m5);
int  ms_intsvc_(void);

/*
 *  printer driver primitives
 */

int  pr_prtsc_(int);
int  pr_putc_(char c);
char pr_stat_(int, int);

/*
 *  screen driver primitives
 */

void sc_cget_(void);
void sc_cset_(int col, int row);
void sc_csof_(void);
void sc_cson_(void);
int  sc_font_(struct FONT *fonts);
char sc_getc_(void);
int  sc_gmod_(void);
void sc_gwin_(int,char *);
void sc_putc_(char c);
void sc_pwin_(int, char *);
void sc_sattr_(int attr);
void sc_smod_(int mode);
void sc_swdn_(int nl, int fr, int fc, int tr, int tc);
void sc_swup_(int nl, int fr, int fc, int tr, int tc);
void sc_s7bit_(int flag);

/*
 *  system driver primitives
 */

void sy_getint_(int vec, int *ptr);
int  sy_isdrive_(int drno);
void sy_setint_(int intr, int vectoff, int vectseg);

