/*********************
 *
 *  pr_defs.h [NON-ANSI] - definitions for printer module.
 *
 *  Purpose: This file contains the global variables and tables for the
 *           printer functions.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

#ifndef BLIB_CSTACK
#define BLIB_CSTACK 1024        /* c stack size in bytes */
#endif

#include "kb_head.h"

char rx80attr_[] = {		/* Codes for epson rx-80 */
		ESC,'M',0,	/* elite */
		ESC,'P',0,	/* pica */
		SI,NUL,0,	/* condensed */
		DC2,NUL,0,	/* cancel condensed */
		ESC,'G',0,	/* double strike */
		ESC,'H',0,	/* no double strike */
		ESC,'E',0,	/* letter quality (enhanced mode )*/
		ESC,'F',0,	/* cancel enhanced */
		SO,NUL,0,	/* enlarged (double wide) mode */
		DC4,NUL,0,	/* cancel enlarged mode */
		NUL,NUL,0,	/* no proportional */
		NUL,NUL,0,	/* no cancel propor */
		ESC,'4',0,	/* italics (alternate chars ) */
		ESC,'5',0,	/* cancel alternate chars */
		ESC,'K',0	/* bit image graphics mode */
	};

char nec23attr_[] = {		/* Codes for NEC 8023 */
		ESC,0x45,0,	/* elite */
		ESC,0x4e,0,	/* pica */
		ESC,0x51,0,	/* condensed */
		ESC,0x4e,0,	/* cancel condensed */
		ESC,0x21,0,	/* double strike */
		ESC,0x22,0,	/* no double strike */
		NUL,NUL,0,	/* letter quality (enhanced mode )*/
		NUL,NUL,0,	/* cancel enhanced */
		0x0e,NUL,0,	/* enlarged mode */
		0x0f,NUL,0,	/* cancel enlarged mode */
		ESC,0x50,0,	/* proportional */
		ESC,0x4e,0,	/* cancel proportional */
		NUL,NUL,0,	/* doesn't have italics (alternate chars ) */
		NUL,NUL,0,	/* no need to cancel them */
		ESC,'S',0	/* bit image graphics mode */
	};

char mt10attr_[] = {            /* Codes for Tally MT1000 */
		NUL,NUL,0, 	/* elite */
		ESC,'6',0,	/* pica */
		ESC,'7',0,	/* condensed */
		ESC,'6',0,	/* cancel condensed */
		NUL,NUL,0,	/* double strike */
		NUL,NUL,0,	/* no double strike */
		NUL,NUL,0,	/* letter quality (enhanced mode )*/
		NUL,NUL,0,	/* cancel enhanced */
		0x0e,NUL,0,	/* enlarged mode */
		0x0f,NUL,0,	/* cancel enlarged mode */
		NUL,NUL,0,	/* proportional */
		NUL,NUL,0,	/* cancel proportional */
		NUL,NUL,0,	/* doesn't have italics (alternate chars ) */
		NUL,NUL,0,	/* no need to cancel them */
		NUL,NUL,0	/* bit image graphics mode */
	};


char mt10tab_[] = {NUL};        /* no tabs */
char rx80tab_[] = {ESC,'e',0x30,0x08,0};
char nec23tab_[] = {ESC,0x28,8,16,24,32,40,48,56,64,72,0};

char *prattr_,*prtabs_;

char *tprattr_[] = {rx80attr_,nec23attr_,mt10attr_};
char *tprtabs_[] = {rx80tab_,nec23tab_,mt10tab_};
