/*********************
 *
 *  sc_head.h [NON-ANSI] - screen header file.
 *
 *  Purpose: This header is included in all sc_write functions.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

/*
 *  define all functions for console to be screen functions
 */

#define MON_ADP 1		/* monochrome adapter */
#define CGA_ADP 2		/* CGA adapter */
#define EGA_ADP 4		/* EGA adapter */

#define AT_BONW	0x70		/* black on white             */
#define AT_WONB 0x07		/* white on black             */

#define AT_REG	   0		/* attribute definitions      */
#define AT_BLINK   5
#define AT_INV     2
#define AT_HIGH    3
#define AT_LOW     4

#define AT_BLM  0x80		/* attribute set masks        */
#define AT_HIM	0x08
#define AT_LOM  0xf7		

#define BLACK	  0		/* color definitions          */
#define BLUE      1
#define GREEN     2
#define CYAN      3
#define RED       4
#define MAGENTA   5
#define BROWN     6
#define WHITE     7
#define GRAY      8
#define LBLUE     9
#define LGREEN   10
#define LCYAN    11
#define LRED     12
#define LMAGENTA 13
#define YELLOW   14
#define LBROWN   14 
#define LWHITE   15

#define HL_CHAR 0xc4            /* horizontal line character  */
#define LB_CHAR	0xc0		/* left bottom corner         */
#define LT_CHAR	0xda		/* left top corner            */
#define MO_CO80 03		/* mode color 80x25           */
#define MO_BW80 02		/* mode black and white 80x25 */
#define MO_CO40 01		/* mode color 40x25           */
#define MO_BW40 00		/* mode black and while 40x25 */
#define NO_COLR 16		/* max # of colors            */
#define RB_CHAR 0xd9		/* right bottom corner        */
#define RT_CHAR 0xbf		/* right top corner           */
#define VL_CHAR 0xb3		/* vertical line character    */


#define eeol    sc_eeol         /* erase to end of line       */
#define clrwin	sc_clrwin	/* clear window               */
#define movc	sc_movcur	/* move cursor                */
#define putf	sc_putf		/* put string in field        */
#define putl	sc_putl		/* put line                   */
#define puts	sc_puts		/* put string                 */

extern char     rattr_;         /* regular attribute          */
extern char     nattr_;         /* inverse attribute          */

extern int      scrollf_;       /* scroll flag                */
extern int      wrapf_ ;        /* wrap around flag           */
extern int      nlexpf_;        /* expand /n to /r/n flag     */

/*
 *  physical screen
 */

extern int	scolen_,scolst_;
extern int	srowen_,srowst_;

/*
 *  globals from driver
 */

extern int colen_;              /* end column for window      */
extern int colst_;              /* start column for window    */
extern int rowen_;              /* row end for window         */
extern int rowst_;              /* row start for window       */
extern int sc_cols_;            /* # columns                  */
extern int sc_rows_;            /* # rows                     */
extern int sc_col_;             /* cursor column              */
extern int sc_row_;             /* cursor row                 */
extern int sc_mode_;            /* screen mode                */
extern int sc_page_;            /* screen page                */
extern char sc_attr_;           /* character attribute        */
extern char sc_adp_;            /* type of adapter            */
extern char sc_mem_;            /* memory on adapter board    */
extern char sc_swi_;            /* switch setting             */
extern char sc_crt_;            /* type of crt 1=color 0=mono */
