/*********************
 *
 *  ut_head.h [NON-ANSI] - utility functions header file.
 *
 *  Purpose: This file contains constants and globals used by the utility
 *           library functions.
 *
 *  Blackstar C Function Library
 *  (c) Copyright 1985,1989 Sterling Castle Software
 *
 *******/

/*
 *  Structures for date and time
 */

struct DATE {
	int yr;
	short int dy;
	short int mo;
	};

struct TIME {
	short int hr;
	short int mn;
	short int sec;
	short int hsec;		/* 1/100's of second */
	};

/*
 *  Option masks for dateoptf_ and timeoptf_
 */

#define DMO3F   0x01            /* 3 digit month names      */
#define DTNDF   0x02            /* name of day in strings   */
#define DTNMF	0x04		/* name of month in strings */
#define DDY3F	0x08		/* 3 digit day names */
#define DYR2F   0x10            /* 2 digit years     */
#define TSECF	0x01		/* secs and hsecs in time string */
#define T24HF   0x02            /* time in 24 hour format        */

extern struct DATE today_;      /* current date */
extern struct TIME time_;       /* current time */

extern char dateoptf_;          /* date format option flag */
extern char timeoptf_;          /* time format option flag */
extern char leapf_;             /* flag for a leap year    */

extern  int month_;             /* Global current date */
extern  int day_;
extern  int year_;

extern  int hour_;              /* Global current time */
extern  int minute_;
extern  int sec_;
extern  int hsec_;

extern int  mo_days_[];
extern char *mo_names_[];
extern char *mo_3names_[];
extern char *dy_names_[];
extern char *dy_3names_[];
